## llvm-toolchain-snapshot 19~++20240125092523+41fe98a6e7e5

=== lldb/source/Breakpoint/CMakeLists.txt ===
add_lldb_library(lldbBreakpoint NO_PLUGIN_DEPENDENCIES
  Breakpoint.cpp
  BreakpointID.cpp
  BreakpointIDList.cpp
  BreakpointList.cpp
  BreakpointLocation.cpp
  BreakpointLocationCollection.cpp
  BreakpointLocationList.cpp
  BreakpointName.cpp
  BreakpointOptions.cpp
  BreakpointPrecondition.cpp
  BreakpointResolver.cpp
  BreakpointResolverAddress.cpp
  BreakpointResolverFileLine.cpp
  BreakpointResolverFileRegex.cpp
  BreakpointResolverName.cpp
  BreakpointResolverScripted.cpp
  BreakpointSite.cpp
  Stoppoint.cpp
  StoppointCallbackContext.cpp
  StoppointSite.cpp
  StopPointSiteList.cpp
  Watchpoint.cpp
  WatchpointList.cpp
  WatchpointOptions.cpp
  WatchpointResource.cpp

  LINK_LIBS
    lldbCore
    lldbExpression
    lldbInterpreter
    lldbSymbol
    lldbTarget
    lldbUtility

  LINK_COMPONENTS
    Support
  )
