=== debian/changelog ===
llvm-toolchain-snapshot (1:19~++20240125092523+41fe98a6e7e5-1~exp1) experimental; urgency=medium

  * branch of 19
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionnaly defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Jan 2024 14:51:10 +0100

llvm-toolchain-18 (1:18~++20240124100819+22683463740e-1~exp1) experimental; urgency=medium

  * Branching of 18
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionnaly defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2024 22:14:15 +0100

llvm-toolchain-17 (1:17.0.6-6) UNRELEASED; urgency=medium

  [ chenli ]
  * Enable flang on loong64

  [ Sylvestre Ledru ]
  * try to enable sccache on 'my' s390x machines

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2024 13:29:35 +0100

llvm-toolchain-17 (1:17.0.6-5) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Revert "Enable COMPILER_RT_BUILD_BUILTINS for armel"
  * Fix i386 FTBFS resulting from COMPILER_RT_DEFAULT_TARGET_ONLY
    (Closes: #1060440)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Jan 2024 14:15:09 +0100

llvm-toolchain-17 (1:17.0.6-4) unstable; urgency=medium

  * debian/qualify-clang.sh: remove the compiler-rt test of i386
    use libclang-rt-17-dev:i386 instead

  [ Matthias Klose ]
  * libclang1-17: Remove the full version symlinks.

  [ Faidon Liambotis ]
  * Enable COMPILER_RT_DEFAULT_TARGET_ONLY for all archs
  * Enable COMPILER_RT_BUILD_BUILTINS for armel
  * Drop two unreferenced debian/patches
  * Mark documentation packages as Multi-Arch: foreign
  * Convert libclang-common-*-dev to Arch: all/M-A: foreign

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Jan 2024 13:03:56 +0100

llvm-toolchain-17 (1:17.0.6-3) unstable; urgency=medium

  * Cherry pick the wasm fix from 16
    (Closes: #1057838)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Dec 2023 18:51:57 +0100
