## llvm-toolchain-snapshot 19~++20240304085905+c7fdd8c11e54

=== debian/changelog ===
llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1ubuntu6) noble; urgency=medium

  * No-change rebuild for restored abseil t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Apr 2024 15:23:19 +0200

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:30:37 +0000

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1ubuntu4) noble; urgency=medium

  * No-change rebuild against abseil t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:00:23 +0100

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:43:05 +0000

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1ubuntu2) noble; urgency=medium

  * Drop "| hello" build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 13:52:52 +0100

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1ubuntu1) noble; urgency=medium

  * Make libclang-common-19-dev architecture dependent.
  * Add python3-pexpect in the build dep for lldb.
  * Fix sanitizer build on 32bit time_t64 architectures.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 12:54:07 +0100

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * hwasan_symbolize is now built also on i386
  * Update of the libomp symbols
  * Also install usr/lib/llvm-19/lib/libLLVM.so.1
    and usr/lib/llvm-19/lib/libLLVM.so.19.0
  * Install clang-installapi as part of clang-tools
  * Disable the install of libomp in sub arch
    Following 1977404d20ab29ff78a58d8c0f1f4c5e7aef6b16

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2024 09:00:56 +0100

llvm-toolchain-18 (1:18.1.0~rc4-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)
  * Also install usr/lib/llvm-19/lib/libLLVM.so.1
    and usr/lib/llvm-19/lib/libLLVM.so.18.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Feb 2024 11:08:41 +0100

llvm-toolchain-18 (1:18.1.0~rc2-4) unstable; urgency=medium

  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
    Ship libc++-18-dev /usr/lib/llvm-18/lib/libc++.modules.json /usr/lib/llvm-18/include/c++/v1/std.compat.cppm
    /usr/lib/llvm-18/include/c++/v1/std.cppm
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el
  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 17:58:05 +0100

llvm-toolchain-18 (1:18.1.0~rc2-3) unstable; urgency=medium

  * Add abi=+time64,+lfs only on 64bits system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Feb 2024 14:29:31 +0100

llvm-toolchain-18 (1:18.1.0~rc2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Try gold linker on mips64el
  * Add also lfs on top of time64, to fix FTBFS on 32bit

  [ Sylvestre Ledru ]
  * add new symbols in libomp5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Feb 2024 16:38:35 +0100

llvm-toolchain-18 (1:18.1.0~rc2-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Feb 2024 21:15:53 +0100

llvm-toolchain-18 (1:18.1.0~rc1-3) unstable; urgency=medium

  * Fix previus upload, time64 is effective only in one specific place of
    rules file
  * Fix some test using still clang-17
  * Switch testing to 18 line
  * Fix an underlinking on qualify-clang.sh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2024 15:05:08 +0100

llvm-toolchain-18 (1:18.1.0~rc1-2) unstable; urgency=medium

  [ Steve Langasek ]

