=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Rules-Requires-Root: no
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper (>= 10.0), cmake, ninja-build,
     chrpath, texinfo, sharutils,
@@ -16,22 +17,24 @@
     lcov, procps, help2man,
     zlib1g-dev, libzstd-dev,
     g++-multilib [amd64 i386 kfreebsd-amd64 mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32],
-    libjs-mathjax, python3-myst-parser | python3-recommonmark,
+    libjs-mathjax, python3-myst-parser | python3-recommonmark, python3-pexpect,
     doxygen,
     ocaml-base [amd64 arm64 armhf ppc64el riscv64 s390x] | ocaml-nox [amd64 arm64 armhf ppc64el riscv64 s390x],
     ocaml-findlib [amd64 arm64 armhf ppc64el riscv64 s390x],
     libctypes-ocaml-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
     dh-exec, dh-ocaml [amd64 arm64 armhf ppc64el riscv64 s390x],
     libpfm4-dev [linux-any], python3-setuptools, libz3-dev,
-    llvm-spirv-17 [amd64 arm64 armhf i386 ppc64 ppc64el riscv64 s390x] <!stage1> | hello,
-    spirv-tools [linux-any] | hello [!i386],
-    wasi-libc | hello,
+# "| hello" is for older buster/bionic distros without spirv support
+# We need to keep the constraints coherent between the two alternatives, otherwise
+# hello would get installed unexpectedly and prevent e.g. wasi-libc from getting pulled
+    llvm-spirv-17 [amd64 arm64 armhf i386 ppc64 ppc64el riscv64 s390x] <!stage1>,
+    spirv-tools [linux-any],
+    wasi-libc,
     libcurl4-openssl-dev | libcurl-dev,
     libgrpc++-dev [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x],
     protobuf-compiler-grpc [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x],
     libprotobuf-dev [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x],
     protobuf-compiler [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x]
-# "| hello" is for older buster/bionic distros without spirv support
 Build-Conflicts: oprofile
 Standards-Version: 4.6.2
 Homepage: https://www.llvm.org/
@@ -45,7 +48,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
  ${dep:devlibs-objc},
  libllvm19 (= ${binary:Version}),
- libclang-common-19-dev (= ${source:Version}),
+ libclang-common-19-dev (= ${binary:Version}),
  llvm-19-linker-tools (= ${binary:Version}),
  libclang1-19 (= ${binary:Version}), libc6-dev, binutils
 Provides: c-compiler, objc-compiler, c++-compiler
@@ -94,7 +97,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python3,
  libllvm19 (= ${binary:Version}),
- libclang-common-19-dev (= ${source:Version}),
+ libclang-common-19-dev (= ${binary:Version}),
  clang-tools-19, python3-yaml
 Description: clang-based C++ linter tool
  Provide an extensible framework for diagnosing and fixing typical programming
@@ -106,7 +109,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libllvm19 (= ${binary:Version}),
- libclang-common-19-dev (= ${source:Version}),
+ libclang-common-19-dev (= ${binary:Version}),
 Description: Language server that provides IDE-like features to editors
  clangd understands your C++ code and adds smart features to your editor:
   - code completion
@@ -133,6 +136,7 @@
  This package contains the documentation.
 
 Package: libclang1-19
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -158,7 +162,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
  ${dep:devlibs-objc}, libclang1-19 (= ${binary:Version}),
- libclang-common-19-dev (= ${source:Version})
+ libclang-common-19-dev (= ${binary:Version})
 Description: Clang library - Development package
  Clang project is a C, C++, Objective C and Objective C++ front-end
  based on the LLVM compiler. Its goal is to offer a replacement to the
@@ -171,8 +175,8 @@
  libclang1-19.
 
 Package: libclang-common-19-dev
-Architecture: all
-Multi-Arch: foreign
+Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Recommends: libclang-rt-19-dev
@@ -234,6 +238,7 @@
 # ------------- clang libraries -------------
 
 Package: libclang-cpp19
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libllvm19 (= ${binary:Version})
@@ -290,8 +295,3 @@
  .
  LibFuzzer is similar in concept to American Fuzzy Lop (AFL), but it performs
  all of its fuzzing inside a single process. This in-process fuzzing can be
- more restrictive and fragile, but is potentially much faster as there is no
- overhead for process start-up.
- .
- The fuzzer is linked with the library under test, and feeds fuzzed inputs to
- the library via a specific fuzzing entrypoint (aka 'target function'); the
