=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # polly & lldb aren't enabled for every platform
 PROJECTS = clang;clang-tools-extra;lld;cross-project-tests;mlir
 # openmp & libunwind aren't enabled for every platform
-RUNTIMES = compiler-rt;libcxx;libcxxabi
 
 TARGET_BUILD	:= build-llvm
 TARGET_BUILD_STAGE2    := $(TARGET_BUILD)/tools/clang/stage2-bins
@@ -16,11 +15,34 @@
 LLVM_EPOCH := 1:
 LLVM_VERSION   := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:([0-9]+).*,\1,p")
 LLVM_VERSION_FULL := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:([0-9.]+)(~|-)(.*),\1,p")
+LLVM_VERSION_MINOR := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:[0-9]+\.([0-9]+)\.[0-9]+.*,\1,p")
 LLVM_VERSION_SNAPSHOT := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:(.*),\1,p")
 ifeq ($(LLVM_VERSION),$(LLVM_VERSION_FULL))
 	LLVM_VERSION_FULL := $(LLVM_VERSION).0.0
+	LLVM_VERSION_MINOR := 0
 endif
 LLVM_VERSION_NEXT := $(shell echo $(LLVM_VERSION_FULL) | awk -F. '{ OFS="."; $$NF+=1; print}')
+
+# dpkg-buildflags support
+# disable fixfilepath in favor of the llvm-project supplied flavor, disable lto
+# remove +time64,+lfs once the time64_t transition starts
+ifeq ($(DEB_HOST_ARCH),i386)
+  RUNTIMES = compiler-rt;libcxx;libcxxabi
+  export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath,-fixdebugpath optimize=-lto
+else
+  ifeq ($(DEB_HOST_ARCH_BITS),32)
+    RUNTIMES = libcxx;libcxxabi
+    export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath,-fixdebugpath optimize=-lto abi=+time64,+lfs
+    skip_packages = -Nlibclang-rt-$(LLVM_VERSION)-dev
+  else
+    RUNTIMES = compiler-rt;libcxx;libcxxabi
+    ifeq ($(DEB_HOST_ARCH),mips64el)
+        export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath,-fixdebugpath optimize=-lto hardening=-stackprotector,-stackprotectorstrong
+    else
+        export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath,-fixdebugpath optimize=-lto
+    endif
+  endif
+endif
 
 SOURCE_NAME := $(shell dpkg-parsechangelog -S Source)
 ifneq (,$(findstring snapshot,$(SOURCE_NAME)))
@@ -63,9 +85,6 @@
 
 CONFIGURE_EXTRA =
 
-# dpkg-buildflags support
-# disable fixfilepath in favor of the llvm-project supplied flavor, disable lto
-export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath,-fixdebugpath optimize=-lto
 # these are handled on a per stage / build basis
 ifeq ($(VENDOR)-$(DEB_HOST_ARCH),Ubuntu-ppc64el)
   export DEB_CFLAGS_MAINT_STRIP = -g -O3
@@ -173,20 +192,3 @@
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),armel))
   STAGE_ALL_CMAKE_EXTRA += -DLLVM_HOST_TRIPLE=arm-linux-gnueabi
-# align arch profile with debian baseline
-# https://wiki.debian.org/ArmEabiPort
-  CFLAGS_EXTRA += -march=armv5t
-  CXXFLAGS_EXTRA += -march=armv5t
-# disable compiler-rt builtins (not supported for baseline armel arch: armv5t)
-# See http://lists.llvm.org/pipermail/llvm-dev/2016-May/099761.html
-  STAGE_ALL_CMAKE_EXTRA += -DCOMPILER_RT_BUILD_BUILTINS=OFF
-  COMPILER_RT_USE_BUILTINS_LIBRARY := OFF
-  LIBCXX_USE_COMPILER_RT := OFF
-# disable scudo standalone (not supported for baseline armel arch: armv5t)
-  STAGE_ALL_CMAKE_EXTRA += -DCOMPILER_RT_BUILD_SCUDO_STANDALONE=OFF
-endif
-
-ifneq (,$(findstring $(DEB_HOST_ARCH),armhf))
-  STAGE_ALL_CMAKE_EXTRA += -DLLVM_HOST_TRIPLE=arm-linux-gnueabihf
-# align arch profile with debian baseline
-# https://wiki.debian.org/ArmHardFloatPort#Minimum_CPU_.26_FPU
