## llvm-toolchain-snapshot 19~++20240421021844+e095d978ba47

=== debian/changelog ===
llvm-toolchain-snapshot (1:19~++20240421021844+e095d978ba47-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Make libclang-common-19-dev architecture dependent.
  * Add python3-pexpect in the build dep for lldb.
  * Fix sanitizer build on 32bit time_t64 architectures.
  * Refresh the 23-strlcpy_strlcat_warning_removed patch.
  * Build-depend on llvm-spirv-18 instead of llvm-spirv-17.
  * Add a stage1 profile to disable curl, grpc and spirv.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Also install libMLIRExecutionEngineShared.so
  * Remove lang-to-external-fc to match upstream change in
    4841d70a4b7d7cd8c492c16a9da339ec75bca135

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Apr 2024 14:21:37 +0200
